toolzerhub API Docs

List user comments

Returns comments posted by required username. Use sort, page_size, and after to control pagination.

2 credits / requestBilled only on success
GET
/v2/reddit/user/comments

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

username*string

Reddit username without the u/ prefix.

Length1 <= length
sort?string

Sort order for the user's submissions.

Value in

  • "NEW"
  • "TOP"
  • "HOT"
  • "CONTROVERSIAL"
page_size?integer

Number of comments to return per page.

Range1 <= value
after?string

Cursor from the previous response used to fetch the next page.

curl -X GET "https://example.com/v2/reddit/user/comments?username=Turbulent_Nerve3744" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "comments": {      "edges": [        {          "property1": null,          "property2": null        }      ],      "pageInfo": {        "property1": null,        "property2": null      },      "dist": 0,      "property1": null,      "property2": null    },    "property1": null,    "property2": null  }}